package fr.faraphel.m1_pe_kafka.rest

import jakarta.ws.rs.GET
import jakarta.ws.rs.Path


/**
 * This API endpoint return the latest temperature measured (in Fahrenheit)
 */
@Path("temperature")
class TemperatureEndpoint {
    companion object {
        private var temperature: Double? = null  ///< the latest temperature value

        /**
         * Setter to update the latest temperature value
         * @param temperature the new temperature value
         */
        fun setTemperature(temperature: Double) {
            this.temperature = temperature
        }
    }

    /**
     * Handler for a GET request on this endpoint
     * @return the latest temperature measured
     */
    @GET
    fun get(): Double? {
        return temperature
    }
}
